# Interfaces Utilisateur Graphiques avec Tk

Tk/Tcl fait depuis longtemps partie intégrante de Python. Il fournit un jeu d'outils robustes et indépendants de la plateforme pour gérer des fenêtres. Disponible aux développeurs via le paquet `tkinter` et ses extensions, les modules `tkinter.tix` et `tkinter.ttk`.

The `tkinter` package is a thin object-oriented layer on top of Tcl/Tk. To use `tkinter`, you don't need to write Tcl code, but you will need to consult the Tk documentation, and occasionally the Tcl documentation. `tkinter` is a set of wrappers that implement the Tk widgets as Python classes.

`tkinter`'s chief virtues are that it is fast, and that it usually comes bundled with Python. Although its standard documentation is weak, good material is available, which includes: references, tutorials, a book and others. `tkinter` is also famous for having an outdated look and feel, which has been vastly improved in Tk 8.5. Nevertheless, there are many other GUI libraries that you could be interested in. The Python wiki lists several alternative GUI frameworks and tools.

- `tkinter` — Interface Python pour Tcl/Tk
  - Modules Tkinter
  - Guide de survie Tkinter
    - Mode d'emploi
    - Un simple programme Hello World
  - Un (très) rapide aperçu de Tcl/Tk
  - Correspondance entre Basic Tk et Tkinter
  - Relations entre Tk et Tkinter
  - Guide pratique
    - Définition des options
    - L'empaqueteur
    - Options de l'empaqueteur
    - Association des variables de l'objet graphique
    - Le gestionnaire de fenêtres
    - Types de données des options Tk
    - Liaisons et événements
    - Le paramètre index
    - Images
  - Gestionnaires de fichiers
- `tkinter.colorchooser` --- Color choosing dialog
- `tkinter.font` --- Tkinter font wrapper
- Tkinter Dialogs
  - `tkinter.simpledialog` --- Standard Tkinter input dialogs
  - `tkinter.filedialog` --- File selection dialogs
    - Native Load/Save Dialogs
  - `tkinter.commondialog` --- Dialog window templates
- `tkinter.messagebox` --- Tkinter message prompts
- `tkinter.scrolledtext` — Gadget texte avec barre de défilement
- `tkinter.dnd` --- Drag and drop support
- `tkinter.ttk` --- Tk themed widgets
  - Using Ttk
  - Ttk Widgets
  - Widget
    - Standard Options
    - Scrollable Widget Options
    - Label Options
    - Compatibility Options
    - Widget States
    - ttk.Widget
  - Combobox
    - Options
    - Virtual events
    - ttk.Combobox
  - Spinbox
    - Options
    - Virtual events
    - ttk.Spinbox
  - Notebook
    - Options
    - Tab Options
    - Tab Identifiers
    - Virtual Events
    - ttk.Notebook
  - Progressbar
    - Options
    - ttk.Progressbar
  - Separator
    - Options
  - Sizegrip
    - Platform-specific notes
    - Bugs
  - Treeview
    - Options
    - Item Options
    - Tag Options
    - Column Identifiers
    - Virtual Events
    - ttk.Treeview
  - Ttk Styling
    - Layouts
- `tkinter.tix` --- Extension widgets for Tk
  - Using Tix
  - Tix Widgets
    - Basic Widgets
    - File Selectors
    - Hierarchical ListBox
    - Tabular ListBox
    - Manager Widgets
    - Image Types
    - Miscellaneous Widgets
    - Form Geometry Manager
  - Tix Commands
- IDLE
  - Menus
    - Menu File (Console et Éditeur)
    - Menu Edit (console et éditeur)
    - Menu Format (fenêtre d'édition uniquement)
    - Menu Run (fenêtre d'édition uniquement)
    - Menu Shell (fenêtre de console uniquement)
    - Menu Debug (fenêtre de console uniquement)
    - Menu Options (console et éditeur)
    - Menu Windows (console et éditeur)
    - Menu Help (console et éditeur)
    - Menus Contextuels
  - Édition et navigation
    - Fenêtre d'édition
    - Raccourcis clavier
    - Indentation automatique
    - Complétions
    - Info-bulles
    - Contexte du code
    - Fenêtre de console Python
    - Coloration du texte
  - Démarrage et exécution du code
    - Utilisation de la ligne de commande
    - Échec au démarrage
    - Exécuter le code de l'utilisateur
    - Sortie de l'utilisateur sur la console
    - Développer des applications tkinter
    - Exécution sans sous-processus
  - Aide et préférences
    - Sources d'aide
    - Modifier les préférences
    - IDLE sous macOS
    - Extensions